View Issue Details

IDProjectCategoryView StatusLast Update
0002144FreeCADPatchpublic2015-06-13 13:16
ReporterSanguinario_JoeAssigned Toyorik 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Platform64-bitOSLinux/KubuntuOS Version14.04.2 LTS
Product Version0.16 
Target VersionFixed in Version0.16 
Summary0002144: Error message trying to open/edit a spreadsheet from the Python console/script
DescriptionOpening a spreadsheet from the Python console,or from a Python script either, is returning the following error:

Traceback (most recent call last):
  File "<input>", line 1, in <module>
Base.FreeCADError: Failed to set object 'Spreadsheet' in edit mode
Steps To ReproduceApp.ActiveDocument.addObject('Spreadsheet::Sheet','Spreadsheet')
s = App.ActiveDocument.ActiveObject
Gui.ActiveDocument.setEdit(s.Name)
Additional InformationOS: Ubuntu 14.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5036 (Git)
Build type: Debug
Branch: sanguinariojoe-ship
Hash: a12f700aa27792f0ecdf09c5ee190d0bf88b0e81
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
TagsNo tags attached.

Activities

eivindkvedalen

2015-06-06 20:39

developer  

ViewProviderSpreadsheet.patch (Attachment missing)

Related Changesets

FreeCAD: master 12e4d594

2015-06-06 22:44:55

Eivind Kvedalen


Committer: wmayer Details Diff
Spreadsheet: Fixed bug in setEdit method for Spreadsheet module (0002144) Affected Issues
0002144
mod - src/Mod/Spreadsheet/Gui/ViewProviderSpreadsheet.cpp Diff File

Issue History

Date Modified Username Field Change
2015-06-03 11:16 Sanguinario_Joe New Issue
2015-06-06 20:39 eivindkvedalen File Added: ViewProviderSpreadsheet.patch
2015-06-12 15:54 yorik Assigned To => yorik
2015-06-12 15:54 yorik Status new => assigned
2015-06-13 13:15 wmayer Changeset attached => FreeCAD Master master 12e4d594
2015-06-13 13:16 wmayer Status assigned => closed
2015-06-13 13:16 wmayer Resolution open => fixed
2015-06-13 13:16 wmayer Fixed in Version => 0.16